Macaulay2 » Documentation
Packages » FormalGroupLaws :: - FormalGroupPoint
next | previous | forward | backward | up | index | toc

# - FormalGroupPoint -- inverse to a point of a formal group

- Operator: -
- Usage:
    `-s`
- Inputs:
  - s, an instance of the type FormalGroupPoint,
- Outputs:
  - an instance of the type FormalGroupPoint,

## Description

    i1 : ZZ[x,y]

    o1 = ZZ[x..y]

    o1 : PolynomialRing

    i2 : f = FGL(series(x+y+x*y,10))

    o2 = FormalGroupLaw{x*y + x + y, 10}

    o2 : FormalGroupLaw

    i3 : ZZ[u]

    o3 = ZZ[u]

    o3 : PolynomialRing

    i4 : s = formalGroupPoint(f,series(u^2+u,5))

                                                                         2
    o4 = FormalGroupPoint{FormalGroupLaw{x*y + x + y, 10}, FormalSeries{u  + u, 5}}

    o4 : FormalGroupPoint

    i5 : t = -s

                                                                           4    3
    o5 = FormalGroupPoint{FormalGroupLaw{x*y + x + y, 10}, FormalSeries{- u  + u  - u, 5}}

    o5 : FormalGroupPoint

    i6 : s+t

    o6 = FormalGroupPoint{FormalGroupLaw{x*y + x + y, 10}, FormalSeries{0, 5}}

    o6 : FormalGroupPoint

## Ways to use this method:

- - FormalGroupPoint -- inverse to a point of a formal group

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/FormalGroupLaws.m2:857:0.